package com.qmth.themis.business.domain;

import com.qmth.themis.business.constant.SystemConstant;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 阿里云public oss config
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/3/30
 */
public class AliYunOssPublicDomain implements Serializable {

    private String publicEndpoint;

    private String publicName;

    private String publicAccessKeyId;

    private String publicAccessKeySecret;

    private String publicBucket;

    private String publicUrl;

    private Map<String, Object> map;

    public AliYunOssPublicDomain() {

    }

    public AliYunOssPublicDomain(String publicEndpoint, String publicName, String publicAccessKeyId, String publicAccessKeySecret, String publicBucket, String publicUrl, Boolean oss) {
        this.publicEndpoint = publicEndpoint;
        this.publicName = publicName;
        this.publicAccessKeyId = publicAccessKeyId;
        this.publicAccessKeySecret = publicAccessKeySecret;
        this.publicBucket = publicBucket;
        this.publicUrl = publicUrl;
        map = new HashMap<>();
        map.put(SystemConstant.END_POINT, this.publicEndpoint);
        map.put(SystemConstant.ACCESS_KEY_ID, this.publicAccessKeyId);
        map.put(SystemConstant.ACCESS_KEY_SECRET, this.publicAccessKeySecret);
        map.put(SystemConstant.BUCKET, this.publicBucket);
        map.put(SystemConstant.NAME, this.publicName);
        map.put(SystemConstant.URL, this.publicUrl);
        map.put(SystemConstant.OSS, oss);
    }

    public Map<String, Object> getMap() {
        return map;
    }

    public void setMap(Map<String, Object> map) {
        this.map = map;
    }

    public String getPublicEndpoint() {
        return publicEndpoint;
    }

    public void setPublicEndpoint(String publicEndpoint) {
        this.publicEndpoint = publicEndpoint;
    }

    public String getPublicName() {
        return publicName;
    }

    public void setPublicName(String publicName) {
        this.publicName = publicName;
    }

    public String getPublicAccessKeyId() {
        return publicAccessKeyId;
    }

    public void setPublicAccessKeyId(String publicAccessKeyId) {
        this.publicAccessKeyId = publicAccessKeyId;
    }

    public String getPublicAccessKeySecret() {
        return publicAccessKeySecret;
    }

    public void setPublicAccessKeySecret(String publicAccessKeySecret) {
        this.publicAccessKeySecret = publicAccessKeySecret;
    }

    public String getPublicBucket() {
        return publicBucket;
    }

    public void setPublicBucket(String publicBucket) {
        this.publicBucket = publicBucket;
    }

    public String getPublicUrl() {
        return publicUrl;
    }

    public void setPublicUrl(String publicUrl) {
        this.publicUrl = publicUrl;
    }
}
